import * as i0 from '@angular/core';
import { EventEmitter, Component, ViewChildren, Input, Output, NgModule } from '@angular/core';
import * as i1 from '@angular/common';
import { CommonModule } from '@angular/common';

class RecursiveTreeComponent {
    constructor(renderer) {
        this.renderer = renderer;
        this.nodes = [];
        this.currentLang = 'ar';
        this.onNodeSelected = new EventEmitter();
        this.prevELementId = '';
        this.treeOpen = false;
        this.openNodes = new Set();
    }
    ngOnInit() {
    }
    handleChild() {
        this.treeOpen = !this.treeOpen;
    }
    selectNode(treeNode, i) {
        this.nodeIndex = i;
        if (this.prevELementId) {
            const element = document.getElementById(this.prevELementId);
            if (element)
                element.classList.remove('branchClick');
        }
        this.prevELementId = treeNode.id;
        const element = document.getElementById(treeNode.id);
        if (element)
            element.classList.add('branchClick');
        this.onNodeSelected.emit(treeNode);
    }
    isNodeOpen(node) {
        return this.openNodes.has(node.id);
    }
    toggleNode(node, index) {
        if (this.isNodeOpen(node)) {
            this.closeNode(node, index);
        }
        else {
            this.openNode(node, index);
        }
    }
    openNode(node, index) {
        this.openNodes.add(node.id);
        const nodeContent = this.nodeContents.toArray()[index].nativeElement;
        this.renderer.setStyle(nodeContent, 'height', 'auto');
    }
    closeNode(node, index) {
        this.openNodes.delete(node.id);
        const nodeContent = this.nodeContents.toArray()[index].nativeElement;
        this.renderer.setStyle(nodeContent, 'height', '45px');
    }
}
RecursiveTreeComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.2.10", ngImport: i0, type: RecursiveTreeComponent, deps: [{ token: i0.Renderer2 }], target: i0.ɵɵFactoryTarget.Component });
RecursiveTreeComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "15.2.10", type: RecursiveTreeComponent, selector: "lib-recursive-tree", inputs: { nodes: "nodes", nodeWidth: "nodeWidth", currentLang: "currentLang" }, outputs: { onNodeSelected: "onNodeSelected" }, viewQueries: [{ propertyName: "nodeContents", predicate: ["nodeContent"], descendants: true }], ngImport: i0, template: "<div *ngFor=\"let node of nodes; let i = index\" class=\"childnode\" >\n    <div #nodeContent class=\"node-content\" [ngStyle]=\"{'height': isNodeOpen(node) ? 'auto' : '45px'}\"  >\n      <div  style=\"display: flex;align-items: center;\" (click)=\"toggleNode(node, i)\">\n        <div [ngStyle]=\"{'width': ((26 * node.level) + 'px')}\" class=\"root\"></div>\n        <div  style=\"margin-top: .5rem;\" class=\"node\" [ngStyle]=\"{'width': (nodeWidth - (node.level - 1) * 26)>200  ? ((nodeWidth - (node.level - 1) * 26)  + 'px'):'200px'}\" [id]=\"node.id\"  (click)=\"selectNode(node,i)\">\n          <div class=\"node-content\">\n            <div class=\"nodeImage\">\n              <svg xmlns=\"http://www.w3.org/2000/svg\" width=\"12\" height=\"12\" viewBox=\"0 0 12 12\">\n                <path d=\"M12 10.917h-.034V12H.034v-1.083H0V.542C0 .242.243 0 .542 0h6.543c.3 0 .542.243.542.542v10.375h3.288V5.646H9.268V4.563h2.19c.3 0 .542.242.542.541v5.813zM1.085 1.083v9.834h5.457V1.083H1.085zm1.644 4.563h2.17v1.083h-2.17V5.646zm0-2.167h2.17v1.083h-2.17V3.48z\" fill=\"#2D4190\" fill-rule=\"nonzero\" />\n              </svg>\n            </div>\n            <p style=\"white-space: nowrap;\" [title]=\"currentLang === 'en' ? node?.enName : node?.localeName\">{{ currentLang === 'en' ? node?.enName : node?.localeName }}</p>\n            <div *ngIf=\"node.children.length\" style=\"margin: 0 5px; width: 20px;\">\n              <svg [ngStyle]=\"{'rotate': isNodeOpen(node) ? '180deg' : '0deg'}\" width=\"10px\" height=\"10px\" viewBox=\"0 0 64 64\" version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\">\n             \n                <g id=\"icons/arrow-down-type-1\" stroke=\"none\" stroke-width=\"1\" fill=\"none\" fill-rule=\"evenodd\">\n                  <rect id=\"bounding-box\" x=\"0\" y=\"0\" width=\"64\" height=\"64\"></rect>\n                  <path d=\"M6.41824523,13 L57.5817548,13 C61.1264537,13 64,15.842263 64,19.3483722 C64,21.0320651 63.323794,22.6467984 62.1201395,23.8373492 L36.5383847,49.1406048 C34.0319041,51.6197984 29.9680959,51.6197984 27.4616153,49.1406048 L1.8798605,23.8373492 C-0.626620168,21.3581556 -0.626620168,17.3385887 1.8798605,14.8593952 C3.08351497,13.6688444 4.71602076,13 6.41824523,13 Z\" id=\"Path\" fill=\"#2d4190\" fill-rule=\"nonzero\"></path>\n                </g>\n              </svg>\n            </div>\n          </div>\n            \n        </div>\n      </div>\n      <!-- Recursive call to render child nodes -->\n      <div style=\"margin-inline-start: -1px;\">\n        <lib-recursive-tree [nodes]=\"node.children\" [nodeWidth]=\"nodeWidth\" (onNodeSelected)=\"selectNode($event, i)\" [currentLang]=\"currentLang\"></lib-recursive-tree>\n      </div>\n    </div>\n  </div>", styles: [".node{position:relative;display:flex;align-items:center;justify-content:space-between;padding-inline-start:1px;padding-inline-end:10px;height:34px;background-color:#fff;box-shadow:0 2px 14px #0000000a;border-radius:17px;z-index:99;text-overflow:ellipsis;cursor:pointer}.node .node-content{width:inherit;display:flex;align-items:center}.node .node-content .tree-root{display:flex;align-items:center}.node .node-content p{width:80%;min-width:100px;white-space:nowrap;text-overflow:ellipsis;overflow:hidden;flex:1;margin:0 10px}.node .nodeImage{width:30px;height:30px;border-radius:50%;background-color:#eeeef2;display:flex;justify-content:center;align-items:center}.node .nodeImage img{width:12px;height:12px}.node:hover,.node:hover .nodeImage{border:1px solid #2d4190}.branchClick{border:1px solid #2d4190!important;color:#2d4190;font-weight:600}.branchClick .nodeImage{width:29px;height:29px;border:2px solid #2d4190!important}.childnode{border-inline-start:1px solid #c9cbd5;overflow:hidden;transition:.3s}.childnode-last{border-inline-start:none;position:relative}.childnode:last-of-type:before{content:\"\";position:absolute;height:46px;right:0;background-color:#c9cbd5}.root{position:relative;height:1px;top:3px;z-index:99999}.root:before{content:\"\";position:absolute;width:100%;height:50px;border-bottom:1px solid #c9cbd5;border-end-start-radius:20px;bottom:0}\n"], dependencies: [{ kind: "directive", type: i1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i1.NgStyle, selector: "[ngStyle]", inputs: ["ngStyle"] }, { kind: "component", type: RecursiveTreeComponent, selector: "lib-recursive-tree", inputs: ["nodes", "nodeWidth", "currentLang"], outputs: ["onNodeSelected"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.2.10", ngImport: i0, type: RecursiveTreeComponent, decorators: [{
            type: Component,
            args: [{ selector: 'lib-recursive-tree', template: "<div *ngFor=\"let node of nodes; let i = index\" class=\"childnode\" >\n    <div #nodeContent class=\"node-content\" [ngStyle]=\"{'height': isNodeOpen(node) ? 'auto' : '45px'}\"  >\n      <div  style=\"display: flex;align-items: center;\" (click)=\"toggleNode(node, i)\">\n        <div [ngStyle]=\"{'width': ((26 * node.level) + 'px')}\" class=\"root\"></div>\n        <div  style=\"margin-top: .5rem;\" class=\"node\" [ngStyle]=\"{'width': (nodeWidth - (node.level - 1) * 26)>200  ? ((nodeWidth - (node.level - 1) * 26)  + 'px'):'200px'}\" [id]=\"node.id\"  (click)=\"selectNode(node,i)\">\n          <div class=\"node-content\">\n            <div class=\"nodeImage\">\n              <svg xmlns=\"http://www.w3.org/2000/svg\" width=\"12\" height=\"12\" viewBox=\"0 0 12 12\">\n                <path d=\"M12 10.917h-.034V12H.034v-1.083H0V.542C0 .242.243 0 .542 0h6.543c.3 0 .542.243.542.542v10.375h3.288V5.646H9.268V4.563h2.19c.3 0 .542.242.542.541v5.813zM1.085 1.083v9.834h5.457V1.083H1.085zm1.644 4.563h2.17v1.083h-2.17V5.646zm0-2.167h2.17v1.083h-2.17V3.48z\" fill=\"#2D4190\" fill-rule=\"nonzero\" />\n              </svg>\n            </div>\n            <p style=\"white-space: nowrap;\" [title]=\"currentLang === 'en' ? node?.enName : node?.localeName\">{{ currentLang === 'en' ? node?.enName : node?.localeName }}</p>\n            <div *ngIf=\"node.children.length\" style=\"margin: 0 5px; width: 20px;\">\n              <svg [ngStyle]=\"{'rotate': isNodeOpen(node) ? '180deg' : '0deg'}\" width=\"10px\" height=\"10px\" viewBox=\"0 0 64 64\" version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\">\n             \n                <g id=\"icons/arrow-down-type-1\" stroke=\"none\" stroke-width=\"1\" fill=\"none\" fill-rule=\"evenodd\">\n                  <rect id=\"bounding-box\" x=\"0\" y=\"0\" width=\"64\" height=\"64\"></rect>\n                  <path d=\"M6.41824523,13 L57.5817548,13 C61.1264537,13 64,15.842263 64,19.3483722 C64,21.0320651 63.323794,22.6467984 62.1201395,23.8373492 L36.5383847,49.1406048 C34.0319041,51.6197984 29.9680959,51.6197984 27.4616153,49.1406048 L1.8798605,23.8373492 C-0.626620168,21.3581556 -0.626620168,17.3385887 1.8798605,14.8593952 C3.08351497,13.6688444 4.71602076,13 6.41824523,13 Z\" id=\"Path\" fill=\"#2d4190\" fill-rule=\"nonzero\"></path>\n                </g>\n              </svg>\n            </div>\n          </div>\n            \n        </div>\n      </div>\n      <!-- Recursive call to render child nodes -->\n      <div style=\"margin-inline-start: -1px;\">\n        <lib-recursive-tree [nodes]=\"node.children\" [nodeWidth]=\"nodeWidth\" (onNodeSelected)=\"selectNode($event, i)\" [currentLang]=\"currentLang\"></lib-recursive-tree>\n      </div>\n    </div>\n  </div>", styles: [".node{position:relative;display:flex;align-items:center;justify-content:space-between;padding-inline-start:1px;padding-inline-end:10px;height:34px;background-color:#fff;box-shadow:0 2px 14px #0000000a;border-radius:17px;z-index:99;text-overflow:ellipsis;cursor:pointer}.node .node-content{width:inherit;display:flex;align-items:center}.node .node-content .tree-root{display:flex;align-items:center}.node .node-content p{width:80%;min-width:100px;white-space:nowrap;text-overflow:ellipsis;overflow:hidden;flex:1;margin:0 10px}.node .nodeImage{width:30px;height:30px;border-radius:50%;background-color:#eeeef2;display:flex;justify-content:center;align-items:center}.node .nodeImage img{width:12px;height:12px}.node:hover,.node:hover .nodeImage{border:1px solid #2d4190}.branchClick{border:1px solid #2d4190!important;color:#2d4190;font-weight:600}.branchClick .nodeImage{width:29px;height:29px;border:2px solid #2d4190!important}.childnode{border-inline-start:1px solid #c9cbd5;overflow:hidden;transition:.3s}.childnode-last{border-inline-start:none;position:relative}.childnode:last-of-type:before{content:\"\";position:absolute;height:46px;right:0;background-color:#c9cbd5}.root{position:relative;height:1px;top:3px;z-index:99999}.root:before{content:\"\";position:absolute;width:100%;height:50px;border-bottom:1px solid #c9cbd5;border-end-start-radius:20px;bottom:0}\n"] }]
        }], ctorParameters: function () { return [{ type: i0.Renderer2 }]; }, propDecorators: { nodeContents: [{
                type: ViewChildren,
                args: ['nodeContent']
            }], nodes: [{
                type: Input
            }], nodeWidth: [{
                type: Input
            }], currentLang: [{
                type: Input
            }], onNodeSelected: [{
                type: Output
            }] } });

class NgxRootedComponent {
    constructor() {
        this.nodes = [];
        this.currentLang = 'en';
        this.baseTreeImg = "https://p7.hiclipart.com/preview/339/713/177/drawing-root-tree-sketch-tree-of-life.jpg";
        this.onNodeSelected = new EventEmitter();
        this.nodeWidth = 337;
        this.treeOpen = false;
    }
    ngOnInit() {
    }
    handleChild() {
        this.treeOpen = !this.treeOpen;
    }
    selectNode(treeNode) {
        this.onNodeSelected.emit(treeNode);
    }
}
NgxRootedComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.2.10", ngImport: i0, type: NgxRootedComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
NgxRootedComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "15.2.10", type: NgxRootedComponent, selector: "ngx-rooted", inputs: { nodes: "nodes", currentLang: "currentLang", baseTreeImg: "baseTreeImg" }, outputs: { onNodeSelected: "onNodeSelected" }, ngImport: i0, template: "<div  class=\"tree-view\" [ngStyle]=\"{'height':treeOpen?'600px':'35px','overflow-y':treeOpen?'scroll':'hidden'}\" >\r\n    <div class=\"tree-node\" (click)=\"selectNode(nodes[0])\" [id]=\"nodes[0].id\" (click)=\"handleChild()\">\r\n      <div class=\"title\">\r\n        <img class=\"main\" [src]=\"baseTreeImg\" alt=\"tree\" />\r\n        <span>\r\n          {{ currentLang === \"en\" ? nodes[0].enName :  nodes[0].localeName }}\r\n        </span>\r\n      </div>\r\n      <div *ngIf=\" nodes[0].children?.length\">\r\n        <svg \r\n          [ngStyle]=\"{'rotate':treeOpen?'180deg':'0deg'}\"\r\n          width=\"10px\"\r\n          height=\"10px\"\r\n          viewBox=\"0 0 64 64\"\r\n          version=\"1.1\"\r\n          xmlns=\"http://www.w3.org/2000/svg\"\r\n          xmlns:xlink=\"http://www.w3.org/1999/xlink\"\r\n        >\r\n          <g\r\n            id=\"icons/arrow-down-type-1\"\r\n            stroke=\"none\"\r\n            stroke-width=\"1\"\r\n            fill=\"none\"\r\n            fill-rule=\"evenodd\"\r\n          >\r\n            <rect id=\"bounding-box\" x=\"0\" y=\"0\" width=\"64\" height=\"64\"></rect>\r\n            <path\r\n              d=\"M6.41824523,13 L57.5817548,13 C61.1264537,13 64,15.842263 64,19.3483722 C64,21.0320651 63.323794,22.6467984 62.1201395,23.8373492 L36.5383847,49.1406048 C34.0319041,51.6197984 29.9680959,51.6197984 27.4616153,49.1406048 L1.8798605,23.8373492 C-0.626620168,21.3581556 -0.626620168,17.3385887 1.8798605,14.8593952 C3.08351497,13.6688444 4.71602076,13 6.41824523,13 Z\"\r\n              id=\"Path\"\r\n              fill=\"#ffff\"\r\n              fill-rule=\"nonzero\"\r\n            ></path>\r\n          </g>\r\n        </svg>\r\n      </div>\r\n    </div>\r\n    <lib-recursive-tree\r\n      [nodes]=\"nodes[0].children\"\r\n      [nodeWidth]=\"nodeWidth\"\r\n      (onNodeSelected)=\"selectNode($event)\"\r\n      [currentLang]=\"currentLang\"\r\n    ></lib-recursive-tree>\r\n  </div>\r\n  ", styles: [".tree-view{position:relative;z-index:0;transition:.3s}::-webkit-scrollbar{width:5px}.tree-node{position:relative;display:flex;align-items:center;padding-inline-start:2px;justify-content:space-between;padding-inline-end:10px;color:#fff;width:378px;height:35px;background-color:#2d4190;border-radius:17px;z-index:99;cursor:pointer}.tree-node img.main{width:30px;height:30px;border-radius:50%}.tree-node .title{display:flex;align-items:center}.tree-node span{margin-inline-start:5px}.node{position:relative;display:flex;align-items:center;padding-inline-start:1px;height:34px;background-color:#fff;border-radius:17px;z-index:99;cursor:pointer}.node .node{width:30px;height:30px;border-radius:50%;background-color:#eeeef2;display:flex;justify-content:center;align-items:center}.node .node img{width:12px;height:12px}.node span{margin-inline-start:5px}.node:hover{border:1px solid #2d4190}.node:hover .node{border:3px solid #2d4190}.branchClick{border:1px solid #2d4190!important}.branchClick .node{border:3px solid #2d4190!important}.childnode{border-inline-start:1px solid #c9cbd5}.childnode-last{border-inline-start:none;position:relative}.childnode:last-of-type:before{content:\"\";position:absolute;width:1px;height:46px;right:0;background-color:#c9cbd5}.root{position:relative;height:1px;top:3px;z-index:99999}.root:before{content:\"\";position:absolute;width:100%;height:50px;border-bottom:1px solid #c9cbd5;border-end-start-radius:20px;bottom:0}\n"], dependencies: [{ kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i1.NgStyle, selector: "[ngStyle]", inputs: ["ngStyle"] }, { kind: "component", type: RecursiveTreeComponent, selector: "lib-recursive-tree", inputs: ["nodes", "nodeWidth", "currentLang"], outputs: ["onNodeSelected"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.2.10", ngImport: i0, type: NgxRootedComponent, decorators: [{
            type: Component,
            args: [{ selector: 'ngx-rooted', template: "<div  class=\"tree-view\" [ngStyle]=\"{'height':treeOpen?'600px':'35px','overflow-y':treeOpen?'scroll':'hidden'}\" >\r\n    <div class=\"tree-node\" (click)=\"selectNode(nodes[0])\" [id]=\"nodes[0].id\" (click)=\"handleChild()\">\r\n      <div class=\"title\">\r\n        <img class=\"main\" [src]=\"baseTreeImg\" alt=\"tree\" />\r\n        <span>\r\n          {{ currentLang === \"en\" ? nodes[0].enName :  nodes[0].localeName }}\r\n        </span>\r\n      </div>\r\n      <div *ngIf=\" nodes[0].children?.length\">\r\n        <svg \r\n          [ngStyle]=\"{'rotate':treeOpen?'180deg':'0deg'}\"\r\n          width=\"10px\"\r\n          height=\"10px\"\r\n          viewBox=\"0 0 64 64\"\r\n          version=\"1.1\"\r\n          xmlns=\"http://www.w3.org/2000/svg\"\r\n          xmlns:xlink=\"http://www.w3.org/1999/xlink\"\r\n        >\r\n          <g\r\n            id=\"icons/arrow-down-type-1\"\r\n            stroke=\"none\"\r\n            stroke-width=\"1\"\r\n            fill=\"none\"\r\n            fill-rule=\"evenodd\"\r\n          >\r\n            <rect id=\"bounding-box\" x=\"0\" y=\"0\" width=\"64\" height=\"64\"></rect>\r\n            <path\r\n              d=\"M6.41824523,13 L57.5817548,13 C61.1264537,13 64,15.842263 64,19.3483722 C64,21.0320651 63.323794,22.6467984 62.1201395,23.8373492 L36.5383847,49.1406048 C34.0319041,51.6197984 29.9680959,51.6197984 27.4616153,49.1406048 L1.8798605,23.8373492 C-0.626620168,21.3581556 -0.626620168,17.3385887 1.8798605,14.8593952 C3.08351497,13.6688444 4.71602076,13 6.41824523,13 Z\"\r\n              id=\"Path\"\r\n              fill=\"#ffff\"\r\n              fill-rule=\"nonzero\"\r\n            ></path>\r\n          </g>\r\n        </svg>\r\n      </div>\r\n    </div>\r\n    <lib-recursive-tree\r\n      [nodes]=\"nodes[0].children\"\r\n      [nodeWidth]=\"nodeWidth\"\r\n      (onNodeSelected)=\"selectNode($event)\"\r\n      [currentLang]=\"currentLang\"\r\n    ></lib-recursive-tree>\r\n  </div>\r\n  ", styles: [".tree-view{position:relative;z-index:0;transition:.3s}::-webkit-scrollbar{width:5px}.tree-node{position:relative;display:flex;align-items:center;padding-inline-start:2px;justify-content:space-between;padding-inline-end:10px;color:#fff;width:378px;height:35px;background-color:#2d4190;border-radius:17px;z-index:99;cursor:pointer}.tree-node img.main{width:30px;height:30px;border-radius:50%}.tree-node .title{display:flex;align-items:center}.tree-node span{margin-inline-start:5px}.node{position:relative;display:flex;align-items:center;padding-inline-start:1px;height:34px;background-color:#fff;border-radius:17px;z-index:99;cursor:pointer}.node .node{width:30px;height:30px;border-radius:50%;background-color:#eeeef2;display:flex;justify-content:center;align-items:center}.node .node img{width:12px;height:12px}.node span{margin-inline-start:5px}.node:hover{border:1px solid #2d4190}.node:hover .node{border:3px solid #2d4190}.branchClick{border:1px solid #2d4190!important}.branchClick .node{border:3px solid #2d4190!important}.childnode{border-inline-start:1px solid #c9cbd5}.childnode-last{border-inline-start:none;position:relative}.childnode:last-of-type:before{content:\"\";position:absolute;width:1px;height:46px;right:0;background-color:#c9cbd5}.root{position:relative;height:1px;top:3px;z-index:99999}.root:before{content:\"\";position:absolute;width:100%;height:50px;border-bottom:1px solid #c9cbd5;border-end-start-radius:20px;bottom:0}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { nodes: [{
                type: Input
            }], currentLang: [{
                type: Input
            }], baseTreeImg: [{
                type: Input
            }], onNodeSelected: [{
                type: Output
            }] } });

class NgxRootedModule {
}
NgxRootedModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.2.10", ngImport: i0, type: NgxRootedModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
NgxRootedModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "15.2.10", ngImport: i0, type: NgxRootedModule, declarations: [NgxRootedComponent,
        RecursiveTreeComponent], imports: [CommonModule], exports: [NgxRootedComponent] });
NgxRootedModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "15.2.10", ngImport: i0, type: NgxRootedModule, imports: [CommonModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.2.10", ngImport: i0, type: NgxRootedModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        NgxRootedComponent,
                        RecursiveTreeComponent,
                    ],
                    imports: [
                        CommonModule
                    ],
                    exports: [
                        NgxRootedComponent
                    ]
                }]
        }] });

/*
 * Public API Surface of ngx-rooted
 */

/**
 * Generated bundle index. Do not edit.
 */

export { NgxRootedComponent, NgxRootedModule };
//# sourceMappingURL=ngx-rooted-tree.mjs.map
